commit: 68685ee1aa24ad7636ec26b941abfb939ac35200
Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 12 15:12:22 2016 +0000
Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Mon Sep 12 17:06:27 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=68685ee1
dev-python/setuptools: version bump to 27.1.2
dev-python/setuptools/Manifest | 1 +
...ptools-9999.ebuild => setuptools-27.1.2.ebuild} | 23 +++++++++++++++-------
dev-python/setuptools/setuptools-9999.ebuild | 23 +++++++++++++++-------
3 files changed, 33 insertions(+), 14 deletions(-)
diff --git a/dev-python/setuptools/Manifest b/dev-python/setuptools/Manifest
index b5c827c..2b0bf61 100644
--- a/dev-python/setuptools/Manifest
+++ b/dev-python/setuptools/Manifest
@@ -2,3 +2,4 @@ DIST setuptools-18.4.tar.gz 626632 SHA256
cdea5098e60b4ad83453d58723a61dc481ca8e
DIST setuptools-20.6.7.tar.gz 675428 SHA256
d20152ee6337323d3b6d95cd733fb719d6b4f3fbc40f61f7a48e5a1bb96478b2 SHA512
91a212b5007f9fdfacb4341e06dc0355c5c29897eb8ea407dd4864091f845ba1417bb0d33b5ed6897869d0233e2d0ec6548898d3dbe9eda23f751829bd51a104
WHIRLPOOL
553a1579991e9478b8eb8dd2f4ab042cd5286c1233f325d1fe1c08092035c6346aa454c03307359d7dd562174133247200c3a5424f5fc24f4718db0ad80d84fc
DIST setuptools-24.0.2.tar.gz 608676 SHA256
efe010ea62504178246f6b3d98d588c2f67884403a7a0a99670dfbf8836ca973 SHA512
980221d086cffa19a283dc2206af3a977b115749b7692051949678c5d7a9e29334295e428af021df1d6acca50b2a5fb43c66ea3ca4c5faae97b0b20bbe08510e
WHIRLPOOL
654f42e46d397bdadf9e3445d071e24dab154ae9498a81ec1ea792c567a53614c5204a38bfd1eb3a349964c8d8a99a1d506904a4d11b6d039ddd5d3d681b8cd2
DIST setuptools-26.1.1.tar.gz 637041 SHA256
475ce28993d7cb75335942525b9fac79f7431a7f6e8a0079c0f2680641379481 SHA512
e9f5fb73022bd5584d3aa84c265338d93b6033d0f3af5fba1c7aeb4a949f7723573fb9e2586b29eca73030581b1ca4a529c7650e49d279946ef530b70487ccc7
WHIRLPOOL
100551619cc1b5bf3374a9c5647e3cd4feedd4be387eeb6f18813d31b884d14aa2eff249d1b21348b5adc809a540c2e5c0a86548736a863066e27821dd4bb40a
+DIST setuptools-27.1.2.tar.gz 637767 SHA256
fbdb6a2f943852f0894b5628ba710a8df0c6ad1a019a8d4c3fd3eedd510d0950 SHA512
de128b665e9693e80bb8cd8fe3692cf68d3df8cf796fef135cb28fdfb0848ed90d5e28a67fbe7c1e1cc61683ccb4f2d41f02b70ad214ad32f0a428b4f3e78c47
WHIRLPOOL
0a8eb0704c8d104a8ba1cc93d2ed985d5be94c6a2da8ab5961d3aefd393cdd880ad07f77a14c3cb8cedc8058008db7eaa7edfe15444839a8b70335b8b8b31edf
diff --git a/dev-python/setuptools/setuptools-9999.ebuild
b/dev-python/setuptools/setuptools-27.1.2.ebuild
similarity index 61%
copy from dev-python/setuptools/setuptools-9999.ebuild
copy to dev-python/setuptools/setuptools-27.1.2.ebuild
index a224987..136c3f5 100644
--- a/dev-python/setuptools/setuptools-9999.ebuild
+++ b/dev-python/setuptools/setuptools-27.1.2.ebuild
@@ -3,19 +3,23 @@
# $Id$
EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy pypy3 )
-PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+inherit distutils-r1
-inherit distutils-r1 mercurial
+if [[ ${PV} == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/pypa/setuptools.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd
~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux
~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
DESCRIPTION="Collection of extensions to Distutils"
-HOMEPAGE="https://pypi.python.org/pypi/setuptools"
-SRC_URI=""
-EHG_REPO_URI="https://bitbucket.org/pypa/setuptools"
+HOMEPAGE="https://github.com/pypa/setuptools
https://pypi.python.org/pypi/setuptools"
LICENSE="MIT"
SLOT="0"
-KEYWORDS=""
IUSE="test"
RDEPEND=""
@@ -38,7 +42,12 @@ DISTUTILS_IN_SOURCE_BUILD=1
DOCS=( README.rst docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
python_prepare_all() {
-# rm -r ./pkg_resources/_vendor || die
+ if [[ ${PV} == "9999" ]]; then
+ python_setup
+ ${EPYTHON} bootstrap.py || die
+ fi
+
+ # rm -r ./pkg_resources/_vendor || die
# disable tests requiring a network connection
rm setuptools/tests/test_packageindex.py || die
diff --git a/dev-python/setuptools/setuptools-9999.ebuild
b/dev-python/setuptools/setuptools-9999.ebuild
index a224987..136c3f5 100644
--- a/dev-python/setuptools/setuptools-9999.ebuild
+++ b/dev-python/setuptools/setuptools-9999.ebuild
@@ -3,19 +3,23 @@
# $Id$
EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} pypy pypy3 )
-PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+inherit distutils-r1
-inherit distutils-r1 mercurial
+if [[ ${PV} == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/pypa/setuptools.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64
~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd
~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux
~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint
~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+fi
DESCRIPTION="Collection of extensions to Distutils"
-HOMEPAGE="https://pypi.python.org/pypi/setuptools"
-SRC_URI=""
-EHG_REPO_URI="https://bitbucket.org/pypa/setuptools"
+HOMEPAGE="https://github.com/pypa/setuptools
https://pypi.python.org/pypi/setuptools"
LICENSE="MIT"
SLOT="0"
-KEYWORDS=""
IUSE="test"
RDEPEND=""
@@ -38,7 +42,12 @@ DISTUTILS_IN_SOURCE_BUILD=1
DOCS=( README.rst docs/{easy_install.txt,pkg_resources.txt,setuptools.txt} )
python_prepare_all() {
-# rm -r ./pkg_resources/_vendor || die
+ if [[ ${PV} == "9999" ]]; then
+ python_setup
+ ${EPYTHON} bootstrap.py || die
+ fi
+
+ # rm -r ./pkg_resources/_vendor || die
# disable tests requiring a network connection
rm setuptools/tests/test_packageindex.py || die